package edu.mermet.tp8.fenetres;


import javax.swing.*;

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;


public class FenetreConfigurationMenu extends JDialog {

  JLabel conversion;
  JLabel saisie;
  JLabel diapo;
  JLabel btn;
  
  JPanel panel;
  JPanel btn_panel;


  JButton btn_accept;
  JButton btn_cancel;

  public FenetreConfigurationMenu(JFrame owner){
      super(owner, true);
      setTitle("Configuration des menus");
      init();
      pack();
      setLocationRelativeTo(null);
      setVisible(false);
  }

  private void init() {

      conversion = new JLabel("Conversion ");
      saisie = new JLabel("Saisie de texte");
      diapo = new JLabel("Diaporama");
      btn = new JLabel("Boutons");

      btn_accept = new JButton(new ValiderButton());
      btn_cancel = new JButton(new AnnulerButton());
      
      panel = new JPanel();
      panel.setLayout( new GridLayout(0, 4) );
      btn_panel = new JPanel();
      
      JRadioButton bg1_Auto = new JRadioButton("Auto");
      JRadioButton bg1_Affiche = new JRadioButton("Affiché");
      JRadioButton bg1_Cache = new JRadioButton("Cache");
      
      JRadioButton bg2_Auto = new JRadioButton("Auto");
      JRadioButton bg2_Affiche = new JRadioButton("Affiché");
      JRadioButton bg2_Cache = new JRadioButton("Cache");

      JRadioButton bg3_Auto = new JRadioButton("Auto");
      JRadioButton bg3_Affiche = new JRadioButton("Affiché");
      JRadioButton bg3_Cache = new JRadioButton("Cache");
      
      JRadioButton bg4_Auto = new JRadioButton("Auto");
      JRadioButton bg4_Affiche = new JRadioButton("Affiché");
      JRadioButton bg4_Cache = new JRadioButton("Cache");

      
      ButtonGroup bg1 = new ButtonGroup( );
      ButtonGroup bg2 = new ButtonGroup( );
      ButtonGroup bg3 = new ButtonGroup( );
      ButtonGroup bg4 = new ButtonGroup( );
      
      bg1.add(bg1_Auto);
      bg1.add(bg1_Affiche);
      bg1.add(bg1_Cache);
      
      bg2.add(bg2_Auto);
      bg2.add(bg2_Affiche);
      bg2.add(bg2_Cache);

      
      bg3.add(bg3_Auto);
      bg3.add(bg3_Affiche);
      bg3.add(bg3_Cache);

      
      bg4.add(bg4_Auto);
      bg4.add(bg4_Affiche);
      bg4.add(bg4_Cache);


      
      panel.add(conversion);
      panel.add(bg1_Auto);
      panel.add(bg1_Affiche);
      panel.add(bg1_Cache);
      
      
      panel.add(saisie);
      panel.add(bg2_Auto);
      panel.add(bg2_Affiche);
      panel.add(bg2_Cache);
      
      panel.add(diapo);
      panel.add(bg3_Auto);
      panel.add(bg3_Affiche);
      panel.add(bg3_Cache);
      
      panel.add(btn);
      panel.add(bg4_Auto);
      panel.add(bg4_Affiche);
      panel.add(bg4_Cache);
      
      
      btn_panel.add(btn_accept);
      btn_panel.add(btn_cancel);

      
      add(panel, BorderLayout.CENTER);
      add(btn_panel, BorderLayout.SOUTH);

      
      
  }


  private class ValiderButton extends AbstractAction {

      public ValiderButton(){
          super("Valider");
      }

      @Override
      public void actionPerformed(ActionEvent actionEvent) {
          //TODO validation des éléments ici
      }
  }

  private class AnnulerButton extends AbstractAction {

      public AnnulerButton(){
          super("Annuler");
      }

      @Override
      public void actionPerformed(ActionEvent actionEvent) {
          dispose();
      }
  }


}
